<!-- 大弹窗 三~四行文字 -->
<template>
 <uni-popup ref="tipBigPopup" :animation="false" :is-mask-click="false"
  mask-background-color="rgba(0,0,0, 0.76);">
  <view class="ezy-tip-dialog tip-big-dialog">
  <view class="tip-content-box">
   <view class="tip-title">{{title}}</view>
   <view class="tip-content" v-if="content">{{content}}</view>
   <view class="tip-img" v-if="imgShow"></view>
   <view class="tip-btn-box">
    <ezyActiveVue class="ezy-btn-active not-confirm-btn" @aclick="handleClose"></ezyActiveVue>
    <ezyActiveVue class="ezy-btn-active confirm-btn" @aclick="confirmBtn"></ezyActiveVue>
   </view>
  </view>
  </view>
 </uni-popup>
</template>

<script setup>
 import { ref } from 'vue';
 import ezyActiveVue from "@/components/ezyActive/ezyActive.vue";
 const props = defineProps({
   title: {
     type: String,
     default: '提示'
   },
   imgShow: {
    type: Boolean,
    default: false,
   },
   content: {
     type: String,
     default: ''
   },
 });
 const tipBigPopup = ref(null); // 索引
 const $emit = defineEmits(['confirm-btn'])
 // 打开弹窗
 function handleShow() {
  tipBigPopup.value.open();
 }
 // 取消
 function handleClose() {
  tipBigPopup.value.close();
 }
 // 确认
 function confirmBtn(){
  $emit('confirm-btn');
  tipBigPopup.value.close();
 }
 defineExpose({
   handleShow
  })
</script>

<style>
</style>